> For the complete documentation index, see [llms.txt](https://docs.coda.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coda.co/https-coda-payments.gitbook.io-zhong-wen-coda-private-technical-documentation/payout/api-shuo-ming/payout-ding-dan-zhuang-tai-hui-tiao-tong-zhi.md).

# Payout订单状态回调通知

此 Webhook 用于 **接收Payout订单的状态更新通知**。您需提供 **Webhook URL** 给 **集成支持团队 (Integration Support Team)** 进行配置，以确保回调通知能够 **稳定、准确地传递**。

**Webhook URL** 旨在帮助您 **实时获取 Payout 订单状态更新**，请确保提供正确的 URL 以便 **集成支持团队** 进行配置，确保通知正常接收。

## **Webhook headers** <a href="#webhook-headers" id="webhook-headers"></a>

<table><thead><tr><th width="150.24566650390625">Header</th><th>内容</th></tr></thead><tbody><tr><td>x-signature</td><td><p>用于执行完整性检查的x-signature。</p><p>有关<a href="/pages/gUWZdSGKtVzcEMmJHfNd">如何生成 x-signature </a>的更多详细信息，请参阅相关说明。</p></td></tr><tr><td>Content-Type</td><td>Content-Type始终为 application/json</td></tr></tbody></table>

## **Webhook payload** <a href="#webhook-headers" id="webhook-headers"></a>

<table><thead><tr><th width="167.35504150390625">Header</th><th>描述</th></tr></thead><tbody><tr><td>payout_id</td><td>由Coda创建的payout唯一ID。</td></tr><tr><td>request_id</td><td>由商户创建的、附加到payout请求的唯一请求 ID。</td></tr><tr><td>request_amount</td><td>Payout请求的总金额。</td></tr><tr><td>target_amount</td><td><p>支付给收款人的最终总金额（扣除费用、消费税、各种税费后的金额，具体取决于商户与 Coda 的合同）。<br></p><p>注意：request_amount 和 target_amount 可以是不同的货币</p></td></tr><tr><td>payout_status</td><td>此交易的payout状态。请参阅<a href="/pages/COGrYJV53LytXNNGYrpE">Payout状态表</a>以了解不同状态。</td></tr><tr><td>error</td><td>如果出现错误，此处将显示错误信息。</td></tr></tbody></table>

## 通知payload示例

{% tabs %}
{% tab title="成功" %}

```javascript
{
    "payout_id": "MDAwLjAuMTY4MDAxMjM3MC4xMw==",
    "request_id": "request_id",
    "request_amount": {
        "value": 10.0,
        "currency_code": "USD"
    },
    "target_amount": {
        "value": 10.0,
        "currency_code": "PHP"
    },
    "payout_status": {
        "code": "success",
        "message": "Payout is successful"
    },
    "error": null
}
```

{% endtab %}

{% tab title="失败" %}

```javascript
{
    "payout_id": "MDAwLjAuMTY4MDAxMjM3MC4xMw==",
    "request_id": "request_id",
    "request_amount": {
        "value": 10.0,
        "currency_code": "USD"
    },
    "target_amount": {
        "value": 10.0,
        "currency_code": "PHP"
    },
    "payout_status": {
        "code": "Failed",
        "message": "Payout has failed, refer to the error message for more details."
    },
    "error": {
      "code": "INCOMPLETE_DATA",
        "message": "Data sent are incomplete and the request cannot be completed."
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.coda.co/https-coda-payments.gitbook.io-zhong-wen-coda-private-technical-documentation/payout/api-shuo-ming/payout-ding-dan-zhuang-tai-hui-tiao-tong-zhi.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
